# INFTApprovalERC721

## Properties

| Name                      | Type    | Description | Notes |
| ------------------------- | ------- | ----------- | ----- |
| **transaction\_hash**     | **str** |             |       |
| **contract**              | **str** |             |       |
| **log\_index**            | **str** |             |       |
| **owner**                 | **str** |             |       |
| **approved**              | **str** |             |       |
| **token\_id**             | **str** |             |       |
| **token\_contract\_type** | **str** |             |       |
| **token\_name**           | **str** |             |       |
| **token\_symbol**         | **str** |             |       |

## Example

```python
from moonsdk.models.inft_approval_erc721 import INFTApprovalERC721

# TODO update the JSON string below
json = "{}"
# create an instance of INFTApprovalERC721 from a JSON string
inft_approval_erc721_instance = INFTApprovalERC721.from_json(json)
# print the JSON string representation of the object
print INFTApprovalERC721.to_json()

# convert the object into a dict
inft_approval_erc721_dict = inft_approval_erc721_instance.to_dict()
# create an instance of INFTApprovalERC721 from a dict
inft_approval_erc721_form_dict = inft_approval_erc721.from_dict(inft_approval_erc721_dict)
```

[\[Back to Model list\]](https://docs.usemoon.ai/sdks/python/..#documentation-for-models) [\[Back to API list\]](https://docs.usemoon.ai/sdks/python/..#documentation-for-api-endpoints) [\[Back to README\]](https://docs.usemoon.ai/sdks/python)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/python/inftapprovalerc721.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
